<template>
  <component :is="earComponent" v-if="earComponent" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import Oval from './Oval.vue'
import Smile from './Smile.vue'
import Circle from './Circle.vue'
import Shadow from './Shadow.vue'
import { EyesType } from '@/api'

const props = defineProps<{
  type: EyesType
}>()

const earComponent = computed<typeof Oval>(() => {
  switch (props.type) {
    case 'circle':
      return Circle
    case 'smile':
      return Smile
    case 'shadow':
      return Shadow
    case 'oval':
    default:
      return Oval
  }
})
</script>
